%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           turbogears-plugin-fancyflash
Version:        0.1
Release:        0.1.a%{?dist}
Summary:        TurboGears extension enhancing flash message display

Group:          Development/Languages
License:        GPLv2
URL:            http://chrisarndt.de/projects/fancyflash/
Source0:        http://pypi.python.org/packages/source/T/TurboFancyFlash/TurboFancyFlash-0.1a.tar.bz2
Patch0:         remove.comment.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-devel TurboGears
BuildRequires:  python-setuptools
BuildRequires:  python-turbojson13

Requires:       TurboGears
Requires:       python-turbojson13

%description
This package provides an enhanced version of the turbogears.flash()
function, giving your users much nicer-looking message boxes that can
change their appearance based on the status of the message. With
JavaScript enabled, messages can fade out after a timeout or be
dismissed by the user with a mouse-click.

This is accomplished by encoding the message with JSON and decoding it
again in the template of the target page. This is handled completely
automatic and the programmer can just use the functional interface,
e.g. fancyflash.error("Duh!").

Additionally, you can display messages with a simple JavaScript function
call, for example when processing the results of an AJAX call in your
callback function for loadJSONDoc.

%prep
%setup -q -n TurboFancyFlash-0.1a

%patch0 -p0 -b .fancyflash

sed -i -e "s|from setuptools|__requires__ = ['TurboJson >= 1.3']\nfrom setuptools|" setup.py

%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
#%doc docs/*
%doc README.txt
%{python_sitelib}/*.egg-info
%{python_sitelib}/fancyflash


%changelog
* Tue Feb 07 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-0.1.a
- Initial RPM Package.
